View Issue Details

IDProjectCategoryView StatusLast Update
0031789LazarusPatchpublic2017-05-15 10:57
ReporterFTurtle Assigned ToOndrej Pokorny  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.9 (SVN) 
Summary0031789: [Patches] New icons for IDE (with High-DPI)
DescriptionNew icons for IDE (with High-DPI)
TagsNo tags attached.
Fixed in Revision54848
LazTarget-
Widgetset
Attached Files

Relationships

related to 0031815 closedOndrej Pokorny [Patches] New IDE icons - 5 

Activities

FTurtle

2017-05-10 08:21

reporter  

images.zip (21,903 bytes)

FTurtle

2017-05-10 08:21

reporter  

patch.diff (5,027 bytes)   
Index: ide/mainbase.pas
===================================================================
--- ide/mainbase.pas	(revision 54818)
+++ ide/mainbase.pas	(working copy)
@@ -988,8 +988,8 @@
   with MainIDEBar do begin
     CreateMenuSeparatorSection(mnuFile,itmFileNew,'itmFileNew');
     ParentMI:=itmFileNew;
-    CreateMenuItem(ParentMI,itmFileNewUnit,'itmFileNewUnit',lisMenuNewUnit,'item_unit');
-    CreateMenuItem(ParentMI,itmFileNewForm,'itmFileNewForm',lisMenuNewForm,'item_form');
+    CreateMenuItem(ParentMI,itmFileNewUnit,'itmFileNewUnit',lisMenuNewUnit,'menu_new_unit');
+    CreateMenuItem(ParentMI,itmFileNewForm,'itmFileNewForm',lisMenuNewForm,'menu_new_form');
     CreateMenuItem(ParentMI,itmFileNewOther,'itmFileNewOther',lisMenuNewOther,'menu_new');
 
     CreateMenuSeparatorSection(mnuFile,itmFileOpenSave,'itmFileOpenSave');
Index: images/copyright.txt
===================================================================
--- images/copyright.txt	(revision 54818)
+++ images/copyright.txt	(working copy)
@@ -11,6 +11,12 @@
 
 Following images were created by FTurtle:
 
+actions directory:
+
+laz_save.png
+laz_save_150.png
+laz_save_200.png
+
 designer directory:
 
 anchor_bottom_bottom.png
@@ -50,10 +56,25 @@
 anchor_top_top_150.png
 anchor_top_top_200.png
 
+items directory:
+
+item_form.png
+item_form_150.png
+item_form_200.png
+item_unit.png
+item_unit_150.png
+item_unit_200.png
+
 menu directory:
 
 menu_clear_all_bookmarks.png
 menu_clear_file_bookmarks.png
+menu_close.png
+menu_close_150.png
+menu_close_200.png
+menu_close_all.png
+menu_close_all_150.png
+menu_close_all_200.png
 menu_goto_bookmark0.png
 menu_goto_bookmark1.png
 menu_goto_bookmark2.png
@@ -64,6 +85,21 @@
 menu_goto_bookmark7.png
 menu_goto_bookmark8.png
 menu_goto_bookmark9.png
+menu_new.png
+menu_new_150.png
+menu_new_200.png
+menu_new_form.png
+menu_new_form_150.png
+menu_new_form_200.png
+menu_new_unit.png
+menu_new_unit_150.png
+menu_new_unit_200.png
+menu_saveas.png
+menu_saveas_150.png
+menu_saveas_200.png
+menu_save_all.png
+menu_save_all_150.png
+menu_save_all_200.png
 menu_search_next_bookmark.png
 menu_search_previous_bookmark.png
 menu_search_set_bookmark.png
@@ -81,6 +117,9 @@
 menu_view_components.png
 menu_view_components_150.png
 menu_view_components_200.png
+menu_view_forms.png
+menu_view_forms_150.png
+menu_view_forms_200.png
 menu_view_inspector.png
 menu_view_inspector_150.png
 menu_view_inspector_200.png
@@ -90,6 +129,9 @@
 menu_view_search_results.png
 menu_view_search_results_150.png
 menu_view_search_results_200.png
+menu_view_units.png
+menu_view_units_150.png
+menu_view_units_200.png
 
 sourceeditor directory:
 
Index: images/laz_images_list.txt
===================================================================
--- images/laz_images_list.txt	(revision 54818)
+++ images/laz_images_list.txt	(working copy)
@@ -16,6 +16,7 @@
 actions/laz_refresh.png
 actions/laz_save.png
 actions/laz_save_150.png
+actions/laz_save_200.png
 actions/laz_set_color_default.png
 actions/laz_set_colors_default.png
 actions/laz_wand.png
@@ -27,12 +28,16 @@
 items/item_filter.png
 items/item_font.png
 items/item_form.png
+items/item_form_150.png
+items/item_form_200.png
 items/item_keyboard.png
 items/item_library.png
 items/item_package.png
 items/item_project.png
 items/item_todo.png
 items/item_unit.png
+items/item_unit_150.png
+items/item_unit_200.png
 menu/menu_abort_build.png
 menu/menu_build.png
 menu/menu_build_all.png
@@ -42,7 +47,11 @@
 menu/menu_build_run_file.png
 menu/menu_clean.png
 menu/menu_close.png
+menu/menu_close_150.png
+menu/menu_close_200.png
 menu/menu_close_all.png
+menu/menu_close_all_150.png
+menu/menu_close_all_200.png
 menu/menu_codetoolsdefineseditor.png
 menu/menu_codetoolsoptions.png
 menu/menu_comment.png
@@ -63,6 +72,14 @@
 menu/menu_information.png
 menu/menu_manage_desktops.png
 menu/menu_new.png
+menu/menu_new_150.png
+menu/menu_new_200.png
+menu/menu_new_form.png
+menu/menu_new_form_150.png
+menu/menu_new_form_200.png
+menu/menu_new_unit.png
+menu/menu_new_unit_150.png
+menu/menu_new_unit_200.png
 menu/menu_pause.png
 menu/menu_project_add.png
 menu/menu_project_close.png
@@ -84,7 +101,11 @@
 menu/menu_run_file.png
 menu/menu_run_parameters.png
 menu/menu_saveas.png
+menu/menu_saveas_150.png
+menu/menu_saveas_200.png
 menu/menu_save_all.png
+menu/menu_save_all_150.png
+menu/menu_save_all_200.png
 menu/menu_search_files.png
 menu/menu_search_find.png
 menu/menu_search_find_next.png
@@ -126,6 +147,8 @@
 menu/menu_view_components_150.png
 menu/menu_view_components_200.png
 menu/menu_view_forms.png
+menu/menu_view_forms_150.png
+menu/menu_view_forms_200.png
 menu/menu_view_inspector.png
 menu/menu_view_inspector_150.png
 menu/menu_view_inspector_200.png
@@ -140,6 +163,8 @@
 menu/menu_view_todo.png
 menu/menu_view_toggle_form_unit.png
 menu/menu_view_units.png
+menu/menu_view_units_150.png
+menu/menu_view_units_200.png
 menu/menu_view_unit_info.png
 menu/SelCompPage.png
 menu/menu_clear_all_bookmarks.png
patch.diff (5,027 bytes)   

Ondrej Pokorny

2017-05-10 13:03

developer   ~0100195

Great, thanks! Applied (to 1.8 as well).

FTurtle

2017-05-10 18:37

reporter   ~0100212

Thank you.

wp

2017-05-12 14:38

developer   ~0100266

Last edited: 2017-05-12 14:39

View 2 revisions

Is there a special reason why the save icon (discette) is so small? It is only 11 pixels wide (at 100%).

wp

2017-05-12 14:38

developer  

ide-newicons.png (6,947 bytes)   
ide-newicons.png (6,947 bytes)   

CudaText man

2017-05-12 15:53

reporter   ~0100269

@FTurtle,
these icos very outdated.
Can you make them, please?

New project
New proj from file..
Open proj
Close proj
Save proj
Save proj as..
Proj Inspector
Proj options
Add editor file to proj
Remove from proj
View proj src

FTurtle

2017-05-12 18:38

reporter   ~0100276

@wp
Yes, you are right. This icon is too small. I will increase it.

@AlexeyT
Yes, I plan do it. But I think it will some later after few other patches.

Ondrej Pokorny

2017-05-12 21:08

developer   ~0100278

FTurtle: your work is very appreciated. Please design a new "Revert" button as well - it uses the same base glyph as the old "Save" and so the File menu looks inconsistent.

FTurtle

2017-05-13 12:28

reporter   ~0100283

@Ondrej Pokorny:
Yes, I will return to "Revert" when I will make "Undo". Then I at once will make lesser version for "Revert".

FTurtle

2017-05-15 09:34

reporter   ~0100314

Enlarged "Save" icon included in patch at 0031815

Issue History

Date Modified Username Field Change
2017-05-10 08:21 FTurtle New Issue
2017-05-10 08:21 FTurtle File Added: images.zip
2017-05-10 08:21 FTurtle File Added: patch.diff
2017-05-10 12:53 Ondrej Pokorny Assigned To => Ondrej Pokorny
2017-05-10 12:53 Ondrej Pokorny Status new => assigned
2017-05-10 13:03 Ondrej Pokorny Fixed in Revision => 54848
2017-05-10 13:03 Ondrej Pokorny LazTarget => -
2017-05-10 13:03 Ondrej Pokorny Note Added: 0100195
2017-05-10 13:03 Ondrej Pokorny Status assigned => resolved
2017-05-10 13:03 Ondrej Pokorny Resolution open => fixed
2017-05-10 18:37 FTurtle Note Added: 0100212
2017-05-10 18:37 FTurtle Status resolved => closed
2017-05-12 14:38 wp Note Added: 0100266
2017-05-12 14:38 wp Status closed => assigned
2017-05-12 14:38 wp Resolution fixed => reopened
2017-05-12 14:38 wp File Added: ide-newicons.png
2017-05-12 14:39 wp Status assigned => feedback
2017-05-12 14:39 wp Note Edited: 0100266 View Revisions
2017-05-12 15:53 CudaText man Note Added: 0100269
2017-05-12 18:38 FTurtle Note Added: 0100276
2017-05-12 18:38 FTurtle Status feedback => assigned
2017-05-12 21:08 Ondrej Pokorny Note Added: 0100278
2017-05-13 12:28 FTurtle Note Added: 0100283
2017-05-15 09:34 FTurtle Note Added: 0100314
2017-05-15 10:05 Ondrej Pokorny Relationship added related to 0031815
2017-05-15 10:05 Ondrej Pokorny Status assigned => resolved
2017-05-15 10:05 Ondrej Pokorny Resolution reopened => fixed
2017-05-15 10:57 FTurtle Status resolved => closed